disp('read_gps_altair_04.m')
% Inputs data from ASCII data files
%  Note:  hhh=hour

gpslat=zeros(1,3600).*NaN;
gpslon=zeros(1,3600).*NaN;
gpsspeed=zeros(1,3600).*NaN;
gpshead=zeros(1,3600).*NaN;
GPSSPEED=[];GPSHEAD=[];GPSLAT=[];GPSLON=[];

for hhh=0:23;
   if hhh<10,
      dfx2=['0',num2str(hhh)];
   else,
     dfx2=num2str(hhh);
   end;
   if ddd<10,
      dfx1=['00',num2str(ddd)];
   elseif ddd<100,
      dfx1=['0',num2str(ddd)];
   else,
      dfx1=num2str(ddd);
   end;

   dfx=[dfx1 dfx2];
   dfl=['d:\data\day',dfx1,'\P7_',dfx]; %disp(dfl)
%   dfl=['e:\data\cwf\data\name\day',dfx1,'\P7_',dfx]; %disp(dfl
   iii=0;
   flist=fopen(dfl,'r');
   if flist>0
    headr=fgetl(flist);

    while feof(flist)==0,
      gpsline=fgetl(flist);
      iii=iii+1;
      if length(gpsline) == 85 & gpsline(16:22)=='$GPRMC,',
         gpsspeed(iii)=str2num(gpsline(57:61));
         gpshead(iii)=str2num(gpsline(63:67));             
         gpslon(iii)=str2num(gpsline(44:53))./100;
         gpslat(iii)=str2num(gpsline(32:40))./100;
         if gpsline(42)=='N',
         else gpslat(iii)=-gpslat(iii);
         end;
         if gpsline(55)=='E',
         else gpslon(iii)=-gpslon(iii);
         end;
      end;   %end if length(gpsline)       
   end;      %end while not end of file
   end;%end flist

   for iii=length(gpsspeed):-1:2,
      if ~isfinite(gpsspeed(iii)),
         gpsspeed(iii)=0;
      else
         break
      end;
   end;
   for iii=length(gpshead):-1:2,
      if ~isfinite(gpshead(iii)),
         gpshead(iii)=0;
      else
         break
      end;
   end;
   for iii=length(gpslat):-1:2,
      if ~isfinite(gpslat(iii)),
         gpslat(iii)=gpslat(iii-100);
      else
         break
      end;
   end;
   for iii=length(gpslon):-1:2,
      if ~isfinite(gpslon(iii)),
         gpslon(iii)=gpslon(iii-100);
      else
         break
      end;
   end;
   for iii=1:length(gpsspeed),
      if ~isfinite(gpsspeed(iii)),
         gpsspeed(iii)=0;
      else
         break
      end;
   end;
   for iii=1:length(gpshead),
      if ~isfinite(gpshead(iii)),
         gpshead(iii)=0;
      else
         break
      end;
   end;
   for iii=1:length(gpslat),
      if ~isfinite(gpslat(iii)),
         gpslat(iii)=gpslat(iii+100);
      else
         break
      end;
   end;
   for iii=1:length(gpslon),
      if ~isfinite(gpslon(iii)),
         gpslon(iii)=gpslon(iii+100);
      else
         break
      end;
   end;
   gpsspeed=gpsspeed(1:3600);
   gpshead=gpshead(1:3600);
   gpslat=gpslat(1:3600);
   gpslon=gpslon(1:3600);
   GPSSPEED=[GPSSPEED gpsspeed];
   GPSHEAD=[GPSHEAD gpshead];
   GPSLAT=[GPSLAT gpslat];
   GPSLON=[GPSLON gpslon];
end;%end hhh

clear gpslon gpslat gpsspeed gpshead
jjj=0;

for iii=1:60:length(GPSLAT),
    jjj=jjj+1;
    gpslat(jjj)=median(GPSLAT(iii:iii+59));
    gpslon(jjj)=median(GPSLON(iii:iii+59));
    gpshead(jjj)=median(GPSHEAD(iii:iii+59));
    gpsspeed(jjj)=median(GPSSPEED(iii:iii+59));
end;

%disp(['Start GPShour = ',num2str(gpshour(1)),'   GPSmin = ',num2str(gpsmin(1)),'   GPSsec = ',num2str(gpssec(1))]),
disp(['Start Latitude  =  ',num2str(gpslat(1)),'     Longitude = ',num2str(gpslon(1))]),
%disp(['  End GPShour = ',num2str(gpshour(length(gpshour))),'   GPSmin = ',num2str(gpsmin(length(gpsmin))),'   GPSsec = ',num2str(gpssec(length(gpssec)))]),
disp(['  End Latitude  =  ',num2str(gpslat(length(gpslat))),'     Longitude = ',num2str(gpslon(length(gpslon)))]),

figure;plot(GPSLON,GPSLAT);title(['JD',dfx1,' Hr',dfx2,' UTC  Longitude/Latitude']);xlabel('longitude in deg');ylabel('latitude in deg');  
figure;plot(gpslon,gpslat);title(['JD',dfx1,' Hr',dfx2,' UTC  Longitude/Latitude']);xlabel('longitude in deg');ylabel('latitude in deg');  
%clear ans bb qq headr gpstime gpslon_sign gpslat_sign glt gln dfx2 dfx1 dfx dfl

clear qq headr  glt gln dfx1 dfx2 dfl bb ans 

%start_lon=gpslon(1);
%end_lon=gpslon(length(gpslon));

%start_lat=gpslat(1);
%end_lat=gpslat(length(gpslat));

%clear gpshour gpsmin gpssec gpstime
fclose(flist);
